Get post by ID
Retrieve detailed information about a specific post
postId*stringUnique identifier of the post
includeContent?|Include full content fields (markdown, json, staticHtml). Default: false
Post details retrieved successfully
application/json- response
id*stringUnique identifier for the post
title*stringTitle of the post
length <= 200imageUrl?stringOptional URL to the post's main image
uriimageAlt?stringAlternative text describing the cover image, shown to screen readers and when the image fails to load
publishedAt?stringEpoch timestamp when the post was published
updatedAt?stringEpoch timestamp when the post was last updated
subtitle?stringOptional subtitle or brief summary
length <= 300slug*stringURL-friendly identifier for the post; accessible at paragraph.com/@[publicationSlug]/[slug]
1 <= length <= 256staticHtml?stringRendered HTML content of the post
json?stringTipTap JSON representation of the post content structure. This is the source of truth that the staticHtml and markdown is generated from
markdown?stringMarkdown source of the post content
coinId?stringID of the associated coin, if the post is coined
categories?array<string>Categories/tags associated with this post
canonicalUrl?stringCanonical URL used in rendered metadata. This does not change the Paragraph permalink.
uripublishOnline?booleanWhether the published post is visible on the public website
communityId?stringSubscriber segment id selected for newsletter delivery
authors?array<>Authors of this post
authorIds?array<string>IDs of the authors of this post
views?numberTotal views. Only included when fetching your own posts via GET /v1/posts
status?stringCurrent publish status. Only set on authenticated endpoints (listOwn, getById for your own post). Use this instead of publishedAt to determine publish state — publishedAt is preserved across unpublishing.
"published""draft""scheduled""archived"curl -X GET "https://example.com/v1/posts/string"{ "id": "string", "title": "string", "imageUrl": "http://example.com", "imageAlt": "string", "publishedAt": "string", "updatedAt": "string", "subtitle": "string", "slug": "string", "staticHtml": "string", "json": "string", "markdown": "string", "coinId": "string", "categories": [ "string" ], "canonicalUrl": "http://example.com", "publishOnline": true, "communityId": "string", "authors": [ { "id": "string", "walletAddress": "string", "avatarUrl": "http://example.com", "publicationId": "string", "name": "string", "bio": "string" } ], "authorIds": [ "string" ], "views": 0, "status": "published"}Get posts in a publication GET
Retrieve a paginated list of published posts from a publication
Delete a post DELETE
Permanently delete a post from your publication. The publication is identified by the API key provided in the Authorization header. **Warning:** This action is irreversible. The post and all related data (notifications and drafts) will be permanently deleted.